netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
directory.h File Reference
`#include <arpa/inet.h>`
`#include <dirent.h>`
`#include <stdint.h>`
`#include <sys/types.h>`
`#include <bstrlib.h>`
`#include <atalk/cnid.h>`
`#include <atalk/queue.h>`
`#include <atalk/unicode.h>`

Go to the source code of this file.

## Data Structures
struct | dir
struct | path

## Macros
#define | DIRBITS S_ISGID
#define | DIRDID_ROOT_PARENT htonl(1)
#define | DIRDID_ROOT htonl(2)
#define | DIRF_FSMASK (3<<0)
#define | DIRF_NOFS (0<<0)
#define | DIRF_UFS (1<<1)
#define | DIRF_ISFILE (1<<3)
#define | DIRF_OFFCNT (1<<4)
#define | DIRF_CNID (1<<5)
#define | DIRF_ARC_GHOST (1<<6)

## Functions
static int | path_isadir (struct path *o_path)

## Variables
struct dir | rootParent

## Macro Definition Documentation

## ◆ DIRBITS

#define DIRBITS S_ISGID

## ◆ DIRDID_ROOT

#define DIRDID_ROOT htonl(2)

root directory

## ◆ DIRDID_ROOT_PARENT

#define DIRDID_ROOT_PARENT htonl(1)

parent directory of root

## ◆ DIRF_ARC_GHOST

#define DIRF_ARC_GHOST (1<<6)

ARC ghost entry (in B1/B2)

## ◆ DIRF_CNID

#define DIRF_CNID (1<<5)

renumerate id

## ◆ DIRF_FSMASK

#define DIRF_FSMASK (3<<0)

## ◆ DIRF_ISFILE

#define DIRF_ISFILE (1<<3)

it's cached file, not a directory

## ◆ DIRF_NOFS

#define DIRF_NOFS (0<<0)

## ◆ DIRF_OFFCNT

#define DIRF_OFFCNT (1<<4)

offsprings count is valid

## ◆ DIRF_UFS

#define DIRF_UFS (1<<1)

## Function Documentation

## ◆ path_isadir()

int path_isadir | ( | struct path * | o_path | ) |
| inline static

## Variable Documentation

## ◆ rootParent

struct dir rootParent
| extern